function f = fun7(alfa,data)
% APRENDIZAJE AUTOMÁTICO (G. Pajares y J.M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 1: Introducción
% Autores: Jesús Manuel de la Cruz García, Gonzalo Pajares Martinsanz
%
% Dada una serie data y unos parámetros alfa de la fdp normal
% calcula el riesgo empírico de los datos
m=alfa(1);s=alfa(2);
ye=zeros(size(data));
for i=1:size(data,1),
    ye(i)=1/sqrt(2*pi)/abs(s)*exp(-(data(i)-m)^2/2/s/s); 
end
N=length(data);
f=-1/N*sum(log(ye));